## org.apache.bcel.verifier.exc
Class AssertionViolatedException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.apache.bcel.verifier.exc.AssertionViolatedException

All Implemented Interfaces:
  java.io.Serializable

public final class AssertionViolatedException
extends java.lang.RuntimeException

Instances of this class should never be thrown. When such an instance is thrown, this is due to an INTERNAL ERROR of BCEL's class file verifier "JustIce".

Version:
  $Id: AssertionViolatedException.java,v 1.1.1.1 2001/10/29 20:00:33 jvanzyl Exp $
Author:
  Enver Haase
See Also:
  Serialized Form

Constructor Summary
`AssertionViolatedException()` Constructs a new AssertionViolatedException with null as its error message string.
`AssertionViolatedException(java.lang.String message)` Constructs a new AssertionViolatedException with the specified error message preceded by "INTERNAL ERROR: ".

Method Summary
`void` `extendMessage(java.lang.String pre, java.lang.String post)` Extends the error message with a string before ("pre") and after ("post") the 'old' error message.
`java.lang.String` `getMessage()` Returns the error message string of this AssertionViolatedException object.
`java.lang.String` `getStackTrace()` Returns the backtrace of this AssertionViolatedException as a String.
`static void` `main(java.lang.String[] args)` DO NOT USE.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssertionViolatedException

    public AssertionViolatedException()

  Constructs a new AssertionViolatedException with null as its error message string.

### AssertionViolatedException

    public AssertionViolatedException(java.lang.String message)

  Constructs a new AssertionViolatedException with the specified error message preceded by "INTERNAL ERROR: ".

Method Detail

### extendMessage

    public void extendMessage(java.lang.String pre,
                              java.lang.String post)

  Extends the error message with a string before ("pre") and after ("post") the 'old' error message. All of these three strings are allowed to be null, and null is always replaced by the empty string (""). In particular, after invoking this method, the error message of this object can no longer be null.

### getMessage

    public java.lang.String getMessage()

  Returns the error message string of this AssertionViolatedException object.
  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    the error message string of this AssertionViolatedException.

### main

    public static void main(java.lang.String[] args)

  DO NOT USE. It's for experimental testing during development only.

### getStackTrace

    public java.lang.String getStackTrace()

  Returns the backtrace of this AssertionViolatedException as a String.
  Returns:
    The backtrace of this AssertionViolatedException as a String.